%define anolis_release 2
%define debug_package %{nil}

Name: 		ntl
Version: 	11.5.1
Release:        %{anolis_release}%{?dist}
Summary:	NTL package

License:	LGPL
URL:		https://libntl.org
Source0:	https://libntl.org/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel

Requires:       gmp >= 6.2.1

%description
NTL is a high-performance, portable C++ library providing data structures and algorithms for manipulating signed, arbitrary length integers, and for vectors, matrices, and polynomials over the integers and over finite fields.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains development files for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
pushd src
./configure \
  CXX="${CXX-g++}" \
  CXXFLAGS="%{optflags} -fPIC" \
  LDFLAGS="$RPM_LD_FLAGS" \
  DEF_PREFIX=%{_prefix} \
  DOCDIR=%{_docdir} \
  INCLUDEDIR=%{_includedir} \
  LIBDIR=%{_libdir} \
  LDLIBS="-lpthread -lm" \
  NATIVE=off \
  TUNE=generic \
  NTL_GMP_LIP=on \
  NTL_THREADS=on \
  NTL_THREAD_BOOST=on \
  SHARED=on
popd

# not smp-safe
make -C src V=1


%install
make -C src install \
  PREFIX=%{buildroot}%{_prefix} \
  DOCDIR=%{buildroot}%{_docdir} \
  INCLUDEDIR=%{buildroot}%{_includedir} \
  LIBDIR=%{buildroot}%{_libdir} 

	
# Fix permissions
chmod 0755 %{buildroot}%{_libdir}/libntl.so.*

# Unpackaged files
rm -rfv %{buildroot}%{_docdir}/NTL
rm -rf %{buildroot}%{_libdir}/libntl.a
rm -rf %{buildroot}%{_libdir}/libntl.la

%files
%license doc/copying.txt
%{_libdir}/libntl.so.44*

%files devel
%{_includedir}/NTL/
%{_libdir}/libntl.so

%files doc
%doc README
%doc doc/*


%changelog
* Fri Nov 18 2022 happy_orange <songnannan@linux.alibaba.com> - 11.5.1-2
- change to make share object.

* Wed Oct 19 2022 xhuan28 <xiaojun.huang@intel.com> - 11.5.1-1
- Init package
